# AVPQueue Class Reference
[Generic RTCP control queues.]

This class, an RTP/RTCP queue, adds audio/video profile (AVP) specific methods to the generic RTCP service queue (QueueRTCPManager). More...

`#include <cqueue.h>`

Inheritance diagram for AVPQueue:

List of all members.

## Public Member Functions

void | setControlBandwidth (float fraction)
| Specify the bandwith available for control (RTCP) packets.
float | getControlBandwidth () const

## Protected Member Functions

| AVPQueue (uint32 size=RTPDataQueue::defaultMembersHashSize, RTPApplication &app=defaultApplication())
| AVPQueue (uint32 ssrc, uint32 size=RTPDataQueue::defaultMembersHashSize, RTPApplication &app=defaultApplication())
| Local SSRC is given instead of computed by the queue.
virtual | ~AVPQueue ()

## Detailed Description

This class, an RTP/RTCP queue, adds audio/video profile (AVP) specific methods to the generic RTCP service queue (QueueRTCPManager).

Author:
  Federico Montesino Pouzols <fedemp@altern.org>

## Constructor & Destructor Documentation

AVPQueue::AVPQueue | ( | uint32 | size = `RTPDataQueue::defaultMembersHashSize`,
|  | RTPApplication & | app = `defaultApplication()`
| ) |  | `[inline, protected]`

AVPQueue::AVPQueue | ( | uint32 | ssrc,
|  | uint32 | size = `RTPDataQueue::defaultMembersHashSize`,
|  | RTPApplication & | app = `defaultApplication()`
| ) |  | `[inline, protected]`

Local SSRC is given instead of computed by the queue.

virtual AVPQueue::~AVPQueue | ( | ) | `[inline, protected, virtual]`

## Member Function Documentation

float AVPQueue::getControlBandwidth | ( | ) | const`[inline]`

Reimplemented from QueueRTCPManager.

void AVPQueue::setControlBandwidth | ( | float | fraction ) | `[inline]`

Specify the bandwith available for control (RTCP) packets.

This method sets the global control bandwidth for both sender and receiver reports. As recommended in RFC 1890, 1/4 of the total control bandwidth is dedicated to senders, whereas 3/4 are dedicated to receivers.

Parameters:

  fraction | fraction of the session bandwidth, between 0 and 1

Note:
  If this method is not called, it is assumed that the control bandwidth is equal to 5% of the session bandwidth. Note also that the RFC RECOMMENDS the 5%.

Reimplemented from QueueRTCPManager.

The documentation for this class was generated from the following file:

- cqueue.h